libzypp 17.36.7

Public Member Functions | Public Attributes | Private Member Functions | Friends | List of all members
zypp::ZYppCommitPolicy::Impl Class Reference

## Public Member Functions
| Impl ()

## Public Attributes
unsigned | _restrictToMedia
DownloadMode | _downloadMode
target::rpm::RpmInstFlags | _rpmInstFlags
bool | _syncPoolAfterCommit
bool | _singleTransMode

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

Definition at line 86 of file ZYppCommitPolicy.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::ZYppCommitPolicy::Impl::Impl | ( |  | ) |
| inline

Definition at line 89 of file ZYppCommitPolicy.cc.

## Member Function Documentation

## ◆ clone()

Impl * zypp::ZYppCommitPolicy::Impl::clone | ( |  | ) | const
| inline private

clone for RWCOW_pointer

Definition at line 107 of file ZYppCommitPolicy.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _restrictToMedia

unsigned zypp::ZYppCommitPolicy::Impl::_restrictToMedia

Definition at line 98 of file ZYppCommitPolicy.cc.

## ◆ _downloadMode

DownloadMode zypp::ZYppCommitPolicy::Impl::_downloadMode

Definition at line 99 of file ZYppCommitPolicy.cc.

## ◆ _rpmInstFlags

target::rpm::RpmInstFlags zypp::ZYppCommitPolicy::Impl::_rpmInstFlags

Definition at line 100 of file ZYppCommitPolicy.cc.

## ◆ _syncPoolAfterCommit

bool zypp::ZYppCommitPolicy::Impl::_syncPoolAfterCommit

Definition at line 101 of file ZYppCommitPolicy.cc.

## ◆ _singleTransMode

bool zypp::ZYppCommitPolicy::Impl::_singleTransMode
| mutable

Definition at line 102 of file ZYppCommitPolicy.cc.

The documentation for this class was generated from the following file:

- zypp/ZYppCommitPolicy.cc